Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.analyzer
Class DependencyBundlingAnalyzer

    java.lang.Object
      org.owasp.dependencycheck.analyzer.AbstractAnalyzer
          org.owasp.dependencycheck.analyzer.DependencyBundlingAnalyzer

All Implemented Interfaces:
  Analyzer

    public class DependencyBundlingAnalyzer

extends AbstractAnalyzer
implements Analyzer

This analyzer ensures dependencies that should be grouped together, to remove excess noise from the report, are grouped. An example would be Spring, Spring Beans, Spring MVC, etc. If they are all for the same version and have the same relative path then these should be grouped into a single dependency under the core/main library.

Note, this grouping only works on dependencies with identified CVE entries

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`DependencyBundlingAnalyzer()`

Method Summary
`void` | `analyze(Dependency ignore, Engine engine)` Analyzes a set of dependencies.
`AnalysisPhase` | `getAnalysisPhase()` Returns the phase that the analyzer is intended to run in.
`String` | `getName()` Returns the name of the analyzer.
`Set<String>` | `getSupportedExtensions()` Returns a list of file EXTENSIONS supported by this analyzer.
`boolean` | `supportsExtension(String extension)` Returns whether or not this analyzer can process the given extension.

Methods inherited from class org.owasp.dependencycheck.analyzer.AbstractAnalyzer
`close, initialize, newHashSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.owasp.dependencycheck.analyzer.Analyzer
`close, initialize`

Constructor Detail

### DependencyBundlingAnalyzer

    public DependencyBundlingAnalyzer()

Method Detail

### getSupportedExtensions

    public Set<String> getSupportedExtensions()

  Returns a list of file EXTENSIONS supported by this analyzer.

  Specified by:
    `getSupportedExtensions` in interface `Analyzer`
  Returns:
    a list of file EXTENSIONS supported by this analyzer.

### getName

    public String getName()

  Returns the name of the analyzer.

  Specified by:
    `getName` in interface `Analyzer`
  Returns:
    the name of the analyzer.

### supportsExtension

    public boolean supportsExtension(String extension)

  Returns whether or not this analyzer can process the given extension.

  Specified by:
    `supportsExtension` in interface `Analyzer`
  Parameters:
    `extension` - the file extension to test for support
  Returns:
    whether or not the specified file extension is supported by this analyzer.

### getAnalysisPhase

    public AnalysisPhase getAnalysisPhase()

  Returns the phase that the analyzer is intended to run in.

  Specified by:
    `getAnalysisPhase` in interface `Analyzer`
  Returns:
    the phase that the analyzer is intended to run in.

### analyze

    public void analyze(Dependency ignore,
                        Engine engine)
                 throws AnalysisException

  Analyzes a set of dependencies. If they have been found to have the same base path and the same set of identifiers they are likely related. The related dependencies are bundled into a single reportable item.

  Specified by:
    `analyze` in interface `Analyzer`
  Parameters:
    `ignore` - this analyzer ignores the dependency being analyzed
    `engine` - the engine that is scanning the dependencies
  Throws:
    `AnalysisException` - is thrown if there is an error reading the JAR file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.